Page MenuHomePhabricator

build: e_gadget_loader is using dlsym
ClosedPublic

Authored by bu5hm4n on Oct 9 2018, 12:22 PM.

Details

Summary

but is not explicitly linking against it. Previously this was not
discovered due to a wrong flag in elementaries pkgconfig. However - the
new .pc file of elementary does not contain dl anymore (as no library
_needs_ to link against it when using elm). So we need to link this here
explicitly

Diff Detail

Repository
rE core/enlightenment
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Oct 9 2018, 12:22 PM
bu5hm4n requested review of this revision.Oct 9 2018, 12:22 PM
This revision was not accepted when it landed; it landed in state Needs Review.Oct 10 2018, 6:10 AM
Closed by commit rEa188cfec0e6b: build: e_gadget_loader is using dlsym (authored by Marcel Hollerbach <marcel@osg.samsung.com>). · Explain Why
This revision was automatically updated to reflect the committed changes.